MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000410JANAFeature Requestpublic2014-06-04 08:572014-07-18 07:42
Reporterdavidl 
Assigned Todavidl 
PrioritynormalSeverityminorReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Summary0000410: Default directory for JANA plugins + error message
DescriptionFrom an e-mail sent by Mauri 4/14/2014:

-------------
Thanks, that works. May I suggest to add "make sure the JANA_PLUGIN_PATH is set correctly" to your error message?

Also, I would suggest that $JANA/plugins is checked always, since those plugins come with the JANA system. JANA_PLUGIN_PATH should be set for user-defined plugins in my opinion.
In other words, we could limit the default number of env variables to one ;-)
-------------

The "error message" he refers to is the following:

JANA ERROR>>
JANA ERROR>>***ERROR : Couldn't find plugin "janadot"!***
JANA ERROR>>*** To see paths checked, set PRINT_PLUGIN_PATHS config. parameter

 
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000589)
davidl (administrator)
2014-07-18 07:42

This was fixed in revision 2044 and will appear in JANA 0.7.2

The error message was added as requested.

The $JANA_HOME/plugins directory was added as a default search directory. This was actually already in, but it was still using $JANA_HOME/lib. The plugins directory was added in 0.7.0 when the scons build system was introduced, but the default search directory was not updated.

- Issue History
Date Modified Username Field Change
2014-06-04 08:57 davidl New Issue
2014-07-18 07:42 davidl Note Added: 0000589
2014-07-18 07:42 davidl Status new => resolved
2014-07-18 07:42 davidl Resolution open => fixed
2014-07-18 07:42 davidl Assigned To => davidl


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker